%global plugin_name promoted-builds

Summary:    Jenkins plugin to distinguish good builds from bad
Name:       jenkins-plugin-%{plugin_name}
Version:    2.23
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/promoted-builds-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.554.2

%description
This plugin allows you to distinguish good builds from bad 
builds by introducing the notion of 'promotion'.Put simply, 
a promoted build is a successful build that passed additional 
criteria (such as more comprehensive tests that are set up 
as downstream jobs.) The typical situation in which you use 
promotion is where you have multiple 'test' jobs hooked up 
as downstream jobs of a 'build' job. You'll then configure 
the build job so that the build gets promoted when all the 
test jobs passed successfully. This allows you to keep the 
build job run fast (so that developers get faster feedback 
when a build fails), and you can still distinguish builds 
that are good from builds that compiled but had runtime 
problems.

Another variation of this usage is to manually promote 
builds (based on instinct or something else that runs 
outside Jenkins.) Promoted builds will get a star in the 
build history view, and it can be then picked up by other 
teams, deployed to the staging area, etc., as those builds 
have passed additional quality criteria. In more 
complicated scenarios, one can set up multiple levels of 
promotions. This fits nicely in an environment where there 
are multiple stages of testings (for example, QA testing, 
acceptance testing, staging, and production.)

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 2.23-1
- Initial package
